# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "tls_root_primer"
version = "0.1.6"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Triggers Windows's automatic root certificate installation for Rust applications, fixing TLS issues on clean systems."
documentation = "https://docs.rs/tls_root_primer"
readme = "README.md"
keywords = [
    "tls",
    "certificate",
    "root",
    "prime",
    "rustls",
]
categories = [
    "os::windows-apis",
    "network-programming",
    "security",
    "development-tools",
    "development-tools::debugging",
]
license = "MIT"
repository = "https://github.com/xangelix/tls_root_primer"

[package.metadata.docs.rs]
all-features = true

[features]
docs-only = [
    "dep:native-tls",
    "dep:schannel",
]

[lib]
name = "tls_root_primer"
path = "src/lib.rs"

[dependencies.native-tls]
version = "0.2"
optional = true

[dependencies.schannel]
version = "0.1"
optional = true

[dependencies.thiserror]
version = "2"

[dependencies.tracing]
version = "0.1"

[target."cfg(windows)".dependencies.native-tls]
version = "0.2"

[target."cfg(windows)".dependencies.schannel]
version = "0.1"
